# Uses of Interface
net.shibboleth.idp.plugin.authn.webauthn.admin.policy.AuthenticatorPolicy

Packages that use AuthenticatorPolicy
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.admin.impl
This package has audit functions for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl
This package has registration policy implementations.

## Uses of AuthenticatorPolicy in net.shibboleth.idp.plugin.authn.webauthn.admin.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.admin.impl declared as AuthenticatorPolicy
Modifier and Type
Field
Description
`private AuthenticatorPolicy`
CheckRegistrationPolicy.`authenticatorPolicy`
The authenticator policy to check.
Methods in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with parameters of type AuthenticatorPolicy
Modifier and Type
Method
Description
`void`
CheckRegistrationPolicy.`setAuthenticatorPolicy(AuthenticatorPolicy policy)`
Set the policy to verify that the authenticator is authorized before the credential is stored.

## Uses of AuthenticatorPolicy in net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl

Classes in net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl that implement AuthenticatorPolicy
Modifier and Type
Class
Description
`class`
`AbstractAuthenticatorPolicyRule`
A base class for `authenticator policies`.
`class`
`AllowlistAuthenticatorPolicy`
A basic authenticator policy that rejects all authenticators not in the allowed list.
`class`
`AuthenticatorCapabilitiesPolicyRule`
An authenticator policy that inspects metadata to determine if the authenticator should be allowed or rejected.
`class`
`ChainingAuthenticatorPolicyRule`
A `AuthenticatorPolicy` implementation that verifies an authenticator is acceptable based on a chain of configured rules.
`class`
`FunctionalAuthenticatorPolicyRule`
A `AuthenticatorPolicy` that evaluates a `BiFunction` to determine if the authenticator that created the credential registration should be accepted or rejected.
Fields in net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl with type parameters of type AuthenticatorPolicy
Modifier and Type
Field
Description
`private List<AuthenticatorPolicy>`
ChainingAuthenticatorPolicyRule.`authenticatorPolicyChain`
An ordered chain of authenticator policies.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.admin.policy.impl with type arguments of type AuthenticatorPolicy
Modifier and Type
Method
Description
`void`
ChainingAuthenticatorPolicyRule.`setAuthenticatorPolicyChain(List<AuthenticatorPolicy> chain)`
Set the chain of policies that should be applied to the authenticator.